| Home | Libraries | People | FAQ | More

##### url::encoded_resource

Return the resource.

###### Synopsis

    pct_string_view
    encoded_resource() const;

###### Description

This function returns the resource, which is the portion of the url that includes only the path, query, and fragment. The returned string may contain percent escapes.

###### Example

    assert( url_view( "http://www.example.com/index.html?query#frag" ).encoded_resource() == "/index.html?query#frag" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### Specification

- 3.3. Path (rfc3986)
- 3.4. Query (rfc3986)

###### See Also

`encoded_origin`, `encoded_target`.